var express = require('express');
var router = express.Router();

const { removeAccountFromDB} = require('../lib/Accounts')
const { getUserId } = require('../lib/getUser')


/* POST postUser page. */
router.post('/', async function (req, res, next) {
  let postData = req.body
  postData.userId = getUserId(req.auth.user)
  let userName = req.auth.user
  let result = await removeAccountFromDB(postData)
  console.log(result)
  if (result.affectedRows < 1) {
    res.send('Adding account failed')
  } else {
    res.send('Account ' + postData.username + ' Deleted from ' + userName)
  }
});

module.exports = router;
