var express = require('express');
var router = express.Router();

const { getUserAccounts, getUserId } = require('../lib/getUser')
const { decryptPassword } = require('../lib/password')

/* POST postUser page. */
router.get('/', async function (req, res, next) {
    let userId = await getUserId(req.auth.user)
    let data = await getUserAccounts(userId)
    for (let index = 0; index < data.length; index++) {
        let element = data[index];
        element.password = await decryptPassword(element.password)
    }

    res.send(data)
});

module.exports = router;
